    % vertical diffusion of all tracers
    forcing_vector_diffusivity = max(forcing_vector_diffusivity,ones(size(forcing_vector_diffusivity))*min_diffusivity);
    forcing_vector_diffusivity = min(forcing_vector_diffusivity,ones(size(forcing_vector_diffusivity))*max_diffusivity);
    for m = 1:num_vdiff_steps
       % second, diffuse the tracers (including marked tracers) themselves
          tracer_vector_t_n2 = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_n2, tracer_vector_t_n2, ...
                                   tracer_vector_t_n2, tracer_vector_t_n2, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_o2 = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_o2, tracer_vector_t_o2, ...
                                   tracer_vector_t_o2, tracer_vector_t_o2, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_dic = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_dic, tracer_vector_t_dic, ...
                                   tracer_vector_t_dic, tracer_vector_t_dic, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_nh4 = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_nh4, tracer_vector_t_nh4, ...
                                   tracer_vector_t_nh4, tracer_vector_t_nh4, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_no3 = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_no3, tracer_vector_t_no3, ...
                                   tracer_vector_t_no3, tracer_vector_t_no3, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_po4 = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_po4, tracer_vector_t_po4, ...
                                   tracer_vector_t_po4, tracer_vector_t_po4, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_spp = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_spp, tracer_vector_t_spp, ...
                                   tracer_vector_t_spp, tracer_vector_t_spp, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_zoo = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_zoo, tracer_vector_t_zoo, ...
                                   tracer_vector_t_zoo, tracer_vector_t_zoo, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_h2s = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_h2s, tracer_vector_t_h2s, ...
                                   tracer_vector_t_h2s, tracer_vector_t_h2s, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_sul = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_sul, tracer_vector_t_sul, ...
                                   tracer_vector_t_sul, tracer_vector_t_sul, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_alk = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_alk, tracer_vector_t_alk, ...
                                   tracer_vector_t_alk, tracer_vector_t_alk, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_ipw = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_ipw, tracer_vector_t_ipw, ...
                                   tracer_vector_t_ipw, tracer_vector_t_ipw, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_lpp = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_lpp, tracer_vector_t_lpp, ...
                                   tracer_vector_t_lpp, tracer_vector_t_lpp, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_cya = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_cya, tracer_vector_t_cya, ...
                                   tracer_vector_t_cya, tracer_vector_t_cya, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
          tracer_vector_t_det = vdiff_explicit(forcing_vector_diffusivity, ...
                                   tracer_vector_t_det, tracer_vector_t_det, ...
                                   tracer_vector_t_det, tracer_vector_t_det, ...
                                   cellheights, timestep/num_vdiff_steps*(24*3600));
    end
